/*
 * init.c
 * This file is part of FriLogos
 *
 * Copyright (C) 2012 - Alexandre Dussart
 *
 * FriLogos is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * FriLogos is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FriLogos. If not, see <http://www.gnu.org/licenses/>.
 */



#include "frilogos.h"



int frilogos_init()
{
	char s[PATH_MAX];
    Elm_Theme *th;

    //TODO:splash screen.
    //Evas_Object *win;
	//win = elm_win_add(NULL, "init", ELM_WIN_SPLASH);
    //elm_win_borderless_set(win, EINA_FALSE);
    //elm_win_shaped_set(win, EINA_TRUE);
    //elm_win_alpha_set(win, EINA_TRUE);
	//elm_win_title_set(win, _("Initialize"));
	//evas_object_show(win);
	//evas_object_resize(win, 400, 400);

	//If no configurations path then create a new one in user home's.
	if(ecore_file_is_dir(frilogos_user_data_path_get()) == 0)
		ecore_file_mkpath(frilogos_user_data_path_get());

    //Create items data directory.
	snprintf(s, sizeof(s), "%s"DIR_SEPARATOR_S"items"DIR_SEPARATOR_S, frilogos_user_data_path_get());
	if(ecore_file_is_dir(s) == 0)
		ecore_file_mkpath(s);

    //Create patients data directory.
	snprintf(s, sizeof(s), "%s"DIR_SEPARATOR_S"patients"DIR_SEPARATOR_S, frilogos_user_data_path_get());
	if(ecore_file_is_dir(s) == 0)
		ecore_file_mkpath(s);

    //Create cache directory.
	//snprintf(s, sizeof(s), "%s/FriLogos", efreet_cache_home_get());
	//if(ecore_file_is_dir(s) == 0)
	//	ecore_file_mkpath(s);

    //Settings elementary options.
    th = elm_theme_default_get();
    elm_theme_overlay_add(th, frilogos_edje_theme_file_get());
    elm_theme_full_flush();

	//elm_scale_set(1.50);
	//elm_finger_size_set(0);
    elm_language_set("fr_FR.UTF-8");
	//evas_object_del(win);
	return 0;
}
