/*
 * module.h
 * This file is part of FriLogos
 *
 * Copyright (C) 2012 - Alexandre Dussart
 *
 * FriLogos is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * FriLogos is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FriLogos. If not, see <http://www.gnu.org/licenses/>.
 */


#ifdef HAVE_CONFIG_H
# include "config.h"
#endif


#include "frilogos.h"
#include "libfrilogos.h"

#define DEFAULT_WIDTH 1024
#define DEFAULT_HEIGHT 768

typedef struct
{
 	//Settings widgets.
 	Evas_Object *exec_bt;
	Evas_Object *navigationbar_checkb;
	Evas_Object *distractors_checkb;
	Evas_Object *itemlabel_checkb;
	Evas_Object *timers_checkb;
	Evas_Object *hiding_sl;
	Evas_Object *exposition_sl;
    Evas_Object *groups_list;
   	Evas_Object *semantics_checkb;
	Evas_Object *visuals_checkb;
	Evas_Object *graphemics_checkb;
	Evas_Object *nbserial_sl;
    Evas_Object *imglvl_sc;
    
	//Settings vars.
	Eina_Bool semantics_wanted;
	Eina_Bool visuals_wanted;
	Eina_Bool graphemics_wanted;
	Eina_Bool distractors_wanted;
	Eina_Bool navbar_wanted;
	Eina_Bool timers_wanted;
	Eina_Bool itemlabel_wanted;
	int imglvl_wanted;
	double nbserial_wanted;
	double exposition_timer_wanted;
	double hiding_timer_wanted;
 	Patient_Info *patient_selected;
} Module_Settings;


typedef struct
{
	//Ecore_Evas.
	Ecore_Evas *ee;
	Evas *evas;

	//Session screen.
	Evas_Object *edje;
	Evas_Object *bg;
	Evas_Object *diapo_img;
	Evas_Object *item_img;
	Eina_Rectangle geometry;

	//Navigation bar.
	Evas_Object *bar_img;
	Evas_Object *infos_text;
	Evas_Object *status_img[3];
	Evas_Object *right_bt;
	Evas_Object *wrong_bt;
	Evas_Object *shutdown_bt;

	//Distractors.
	Evas_Object *correction;
	Evas_Object *distractors_text[4];
	Evas_Object *distractors_frame[4];

	//Item name frame.
	Evas_Object *name_frame;
	Evas_Object *name_text;

	//Timers.
	Ecore_Timer *timer1;
	Ecore_Timer *timer2;

	//Statistics.
	int nbserial_played;
	int score;
	int realization_time;

    Module_Settings *settings;

 	Eina_List *_items;
 	Eina_List *items;
} Module_Screen;

extern void _module_screen_create_cb(void *data, Evas_Object *obj, void *event_info);
