/*
 * Copyright (C) Alexandre Dussart 2009-2010 <alexandre.dussart@laposte.net>
 * 
 * Diaporama FriLogos plugin is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Diaporama FriLogos plugin is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <Eina.h>

#include "module.h"


static Eina_Bool list_cb(Eina_Module *m, void *data)
{
   int *sym;
   char *name;
   const char *file;
   void (*print_infos)(void);


   file = eina_module_file_get(m);
   if (!eina_module_load(m))
     {
		//ERR("could not load module \"%s\": %s", file, eina_error_msg_get(eina_error_get()));
		fprintf(stderr, "could not load module \"%s\": %s\n", file, eina_error_msg_get(eina_error_get()));
		return EINA_FALSE;
     }

     
   print_infos = eina_module_symbol_get(m, "_print_module_infos");
   if (!print_infos )
   {
		fprintf("could not find _print_module_infos() in module \"%s\": %s", (char*)file, eina_error_msg_get(eina_error_get()));
		eina_module_unload(m);
		return EINA_FALSE;
   }
   
   print_infos();
   
   
   
   
   
       
   if(!file);
   	eina_module_unload(m);

   return EINA_TRUE;
}


void main()
{
   Eina_Array *_modules;

   eina_init();
   _modules = eina_module_list_get(NULL, ".", EINA_TRUE, &list_cb, NULL);
  	if(!_modules)
  	exit(1);
  	
   eina_module_list_free(_modules);
   /* TODO delete the list */
   eina_shutdown();
}
